import os
import threading
import requests

import Action
#from sites.AnonymsmsComParser  import AnonymsmsComParser
from sites.FreesmscenterCom    import FreesmscenterCom
from sites.ReceivesmsCo        import ReceivesmsCo



def ProccessSite(siteClass):
	site = siteClass()
	print(f"Parsing site {site.WebSiteURL}")
	site.Parse()
	Action.Run(site.GetResult())



if __name__ == "__main__":
	#requests.adapters.DEFAULT_RETRIES = 128 # Is it working?

	siteClasses = [
		FreesmscenterCom
		ReceivesmsCo
	]

	running_threads = []
	for siteClass in siteClasses[:-1]:
		running_threads.append(
			threading.Thread(
				target=ProccessSite,
				args=(siteClass,)
			)
		)
		running_threads[-1].start()
	ProccessSite(siteClasses[-1])
	for th in running_threads:
		th.join()